SYSTEMD-DELTA(1)

BEZEICHNUNG
systemd-delta - Finden von außer-Kraft-gesetzten Konfigurationsdateien

ÜBERSICHT

systemd-delta [OPTIONEN…] [PRÄFIX[/SUFFIX]|SUFFIX…]

BESCHREIBUNG

systemd-delta kann zur Identifikation und zum Vergleich von Konfigurationsdateien, die andere Konfigurationsdateien außer Kraft setzen, verwandt werden. Dateien in /etc haben die höchste Priorität, Dateien in /run haben die zweithöchste Priorität, …, Dateien in /usr/lib haben die niedrigste Priorität. Dateien in einem Verzeichnis mit einer höheren Priorität setzen Dateien mit dem gleichen Namen in Verzeichnissen mit niedrigerer Priorität außer Kraft. Zusätzlich können bestimmte Konfigurationsdateien über Verzeichnis ».d« verfügen, in der bestimmte Konfigurationsschnipsel »reingelegt« werden können, die die Hauptkonfigurationsdatei anreichern können. »Ergänzungs«-Dateien können in der gleichen Art außer Kraft gesetzt werden, indem Dateien mit dem gleichen Namen in ein Verzeichnis mit höherer Priorität abgelegt werden (außer für den Fall der »Ergänzungs«-Dateien, bei denen sowohl der »Ergänzungs«-Dateiname als auch der Name des enthaltenden Verzeichnisses, der dem Namen der Hauptkonfigurationsdatei entspricht, passen muss). Für eine umfangreichere Erklärung, siehe systemd.unit(5).

Das Befehlszeilenargument wird in ein Präfix und ein Suffix getrennt. Beide sind optional. Das Präfix muss eines der Verzeichnisse sein, die Konfigurationsdateien enthalten (/etc, /run, /usr/lib, …). Falls es angegeben ist, werden nur Außer-Kraft-Setzende-Dateien in diesen Verzeichnissen angezeigt. Andernfalls werden alle Außer-Kraft-Setzenden-Dateien angezeigt. Das Suffix muss der Name eines Unterverzeichnisses sein, das Konfigurationsdateien enthält, wie tmpfiles.d, sysctl.d oder systemd/system. Falls es angegeben ist, werden nur Konfigurationsdateien in diesen Unterverzeichnissen (über alle Konfigurationspfade hinweg) analysiert. Andernfalls werden alle Konfigurationsdateien analysiert. Falls keine Befehlszeilenargumente angegeben werden, werden alle Konfigurationsdateien analysiert. Siehe unten für Beispiele.

OPTIONEN

Die folgenden Optionen werden verstanden:

-t, --type=
    Beim Auflisten der Änderungen werden nur die angefragten angezeigt. Die Liste selbst ist eine Komma-getrennte Liste von gewünschten Unterschiedstypen.

    Erkannte Typen sind:

    masked
        Maskierte Dateien anzeigen

    equivalent
        Außer Kraft gesetzte Dateien anzeigen, die sich im Inhalt aber nicht unterscheiden.

    redirected
        Dateien anzeigen, die auf andere umgelenkt sind.

    overridden
        Außer Kraft gesetzte und geänderte Dateien anzeigen.

    extended
        Alle *.conf-Dateien in Ergänzungsverzeichnissen für Units anzeigen.

    unchanged
        Auch unveränderte Dateien anzeigen.

--diff=
    Bei der Anzeige von veränderten Dateien auch einen Diff anzeigen, wenn eine Datei außer Kraft gesetzt wurde. Diese Option akzeptiert ein logisches Argument. Falls es fehlt, ist die Vorgabe true.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

BEISPIELE

Um die gesamte lokale Konfiguration zu sehen:

    systemd-delta

Um die gesamte Laufzeit-Konfiguration zu sehen:

    systemd-delta /run

Um alle System-Unit-Konfigurationsänderungen zu sehen:

    systemd-delta systemd/system

Um alle Laufzeit-»Ergänzungs«-Änderungen für System-Units zu sehen:

    systemd-delta --type=extended /run/systemd/system

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemd.unit(5)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.